package com.springboot.auth.authorization.provider;

import com.springboot.auth.authorization.entity.Company;
import com.springboot.auth.authorization.entity.User;
import com.springboot.cloud.common.core.entity.vo.Result;
import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.List;

@Component
public class OrganizationProviderFallback implements OrganizationProvider {

    @Override
    public Result<User> getUserByUsernameOrMobile(String payload) {
        return Result.success(new User());
    }

    @Override
    public Result<List<Company>> getUserAllCompany(String userId) {
        return Result.success(new HashSet<Company>());
    }
}
